Question / Help What's the latest version compatible with MacOs 10.10.5?

Narcogen

Active Member
#4
22.0.3 should work fine on High Sierra. Even if you were to downgrade, I would not go back as far as 19.x, that's for much older versions.
 
Top